# Filename: tri_surface_area.py
# Purpose: Get the surface area of a triangulation.
# Returns: Double

from maptek import vulcan

input_tri = 'topo.00t' # input triangulation

with vulcan.triangulation(input_tri) as tri: # Open triangulation in read mode
    area = tri.surface_area() # Get surface area
    print(f"Surface area of {input_tri}: {area}")